Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 560)
+++ MLXMANIFEST	(revision 565)
@@ -7,5 +7,5 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	faf6cb0319f98c785cc34adacfcebdc6
+library/gtk/_gtk.pyc	549	0e2b124dbc8a0ca08f3a6b4f5f35c921
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/mlx/pirep.pyc	4623	6c485ea65ff6245ab56960a8bbec7051
@@ -22,6 +22,6 @@
 doc/manual/hu/bugreport.png	12385	c71c7db56f19870ae5d6bb7f533d3679
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	4e846f34136e09de40c4fa7d72057c6b
-locale/en/LC_MESSAGES/mlx.mo	63358	bea5254b596a13079b671ccba6cf7045
+library/gobject/_gobject.pyc	573	23dcecae6498c144fa778bd7bab47321
+locale/en/LC_MESSAGES/mlx.mo	63614	f1ec02622dac249b0b132481f1f1baac
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 doc/manual/hu/pirepViewer.png	26835	267e4325e550ed14ed22f86a2c7e8e9d
@@ -63,5 +63,5 @@
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-locale/hu/LC_MESSAGES/mlx.mo	68129	8a9d319270bca8eab63bd27222bdf361
+locale/hu/LC_MESSAGES/mlx.mo	68410	87098681a258fc56aa6ac61c6b001575
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/copy_reg.pyc	4893	7a58bc441232056d1c123cd3375b3774
@@ -76,5 +76,5 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	d468a84a12938c367eb5fbd988c5b291
+library/_hashlib.pyc	549	03e9e048acdd2104fce5db31ac947f13
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
@@ -90,5 +90,5 @@
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
 library/_weakrefset.pyc	9290	a56e87c491c0511cd329a3c8c4cd9563
-library/mlx/flight.pyc	17473	f6e6b14e9ef2d56bedf80b46acbc60ac
+library/mlx/flight.pyc	19402	7e1564bd7a98c5bf7bc0c4b341afc8fc
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 doc/manual/en/flightSelection.png	29847	7817c8f5ed8d7fe64cf72d0addaf3e4a
@@ -135,6 +135,6 @@
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	16169	64c14e0842c413cac98b92926279f3e0
-library/cairo/_cairo.pyc	561	248ca30ea7256a6220fa08ca9ea7da88
-library/win32file.pyc	552	0dd2f0351ce781b105c5126c04d579ca
+library/cairo/_cairo.pyc	561	49d0c64aed463db59b310ab575c23c2a
+library/win32file.pyc	552	f144667df6b6874d03a50bc114dcfc81
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -145,5 +145,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	173053bfda4ab1735432d8fa56d85014
+library/bz2.pyc	534	9c3505dab5c5a4495e2fba4c2243392f
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -161,6 +161,6 @@
 library/mlx/gui/statusbar.pyc	4812	799c3b2d6e3f85ecd79f68d5814d7c40
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	5d6ee423e463a34ce42e5a84d0dc841e
-library/mlx/const.pyc	6707	f58b498e16458a526682c960e4be3882
+mlxupdate.exe	19456	5bcd0f8dca7860004121cffeb51ca183
+library/mlx/const.pyc	6709	b07e2c3f89d79e99187d862702495800
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -175,5 +175,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	ff179549cfb8c14ed66fea5e73023045
+library/_ssl.pyc	537	28706b9b6b3a9688a232180de70c339c
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -196,6 +196,6 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	69d65a92e2dfeb18c4d452c7de2ddbf5
-library/select.pyc	543	74613be681ec8f9d05f9d0734a5fa2fa
+library/unicodedata.pyc	558	4b5ddcafaeae4950ffd45b3d3a3588f5
+library/select.pyc	543	717e7be1780649dba10596c17fb22743
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -229,5 +229,5 @@
 doc/manual/hu/flightInfoTab.png	28786	3e8af27775131f02696b0912ca441f36
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	70a1b3ce1ce081d61d689cfcedda2d78
+library/pangocairo.pyc	555	7d1cc355fa79dfa55d97a3b9b7b31ebe
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -242,5 +242,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	e65302819d2197609af15c0148f72066
+library/pyuipc.pyc	543	628deb6258573fcf275d6573f4427995
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -266,11 +266,11 @@
 doc/manual/hu/flightSelection.png	30815	e8bcdda6079c6b16ffa72ca62c21ca85
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	d1db4516e76bc98f9e2dde943a7c4075
+library/win32pipe.pyc	552	7d2d700baa7be1ef1be390e97d846a14
 doc/manual/hu/cruise.png	27460	a2610173563e45baae1b0f9e63007ebd
 doc/manual/hu/logTab.png	28706	f48004202310bd2a1cb2f873d8064e93
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	cd066e94dc6df8b8dfffcf8d4dbdeffa
+library/win32event.pyc	555	2e7356660567da9df3ebc3ad9f4d5553
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	07dcb0c8570b72f5ab467a236b1fd846
+library/gio/_gio.pyc	549	2699a1b7cb39443bfff747c7a691b782
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	27961	8e7cc4aeb8d7f40fcf186c7caf53583b
@@ -295,5 +295,5 @@
 library/mlx/gui/pirep.pyc	16749	2006126d65a19999a20c4a34f1e94342
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	6b92c889ed697355819bc9643427ed07
+library/_ctypes.pyc	546	5dcc3c73e5f8dc6f50f4493a24d5ca80
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -322,5 +322,5 @@
 doc/manual/en/gatesTab.png	29585	00ebc96a2b4a7473dbb6a3162a04192f
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	119266	a735fc8fbfe2c5b599bb53456dfa1709
+library/mlx/gui/flight.pyc	119467	f40a898285563de57f0191ea8261da4f
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
@@ -338,5 +338,5 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	60003cd605a378cdc93d01a94d65588a
+library/pyexpat.pyc	546	95618ae4d479474cd22d69f1b9baa14f
 doc/manual/hu/gateSelection.png	29237	bac37e7001261a40a84e4202247f6052
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
@@ -364,15 +364,15 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	44b7315fff4489f958915b190a66bbdf
+library/_socket.pyc	546	62b11e0e5ddd8f5fffb8313e9f90aee3
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/checks.pyc	59331	e20c1a815799bc1c93a0c956f417b0ea
+library/mlx/checks.pyc	59508	625db45175dc93a38db4f63f6901b5b9
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
 library/mlx/sound.pyc	10001	99d484ee27c8db8984abf0e5c6795d98
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	4e39942d73c734c33c47f4c64abfcc58
+library/glib/_glib.pyc	555	a4ab2747d86d5583dd1dff0e06556eaf
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	1d92390c57d9c876c9d8358187f3681d
+library/win32api.pyc	549	9d2d3259ec0ea776ee1ae6327a2fc362
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
@@ -422,5 +422,5 @@
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	30521	75c1c4c91c71e1a7f486a54b4f32b6a0
-library/atk.pyc	534	6bc4ff2b050964f1bb2930234f875825
+library/atk.pyc	534	d32464fb4770fa0c02d37055f208a873
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -432,5 +432,5 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	ab9db00d8a16040a5199ca56c9750c3c
+runmlx.exe	64000	1ebdb6daea36e5329ebeb868abe0a6ef
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
 library/mlx/fs.pyc	11803	199bdac7de7a006e762f12563e08c6e0
@@ -445,5 +445,5 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	c6a483c8ce45eaeac44a22a9897d00d5
+library/pango.pyc	540	aea6bf61585f4ba011a2b406d0a76079
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab