Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 565)
+++ MLXMANIFEST	(revision 567)
@@ -7,11 +7,11 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	0e2b124dbc8a0ca08f3a6b4f5f35c921
+library/gtk/_gtk.pyc	549	7c01e3ea50f281e29abb7978d2b2168c
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
-library/mlx/pirep.pyc	4623	6c485ea65ff6245ab56960a8bbec7051
+library/mlx/pirep.pyc	4623	2a008f269c900fb604b94b4e427f61b5
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
-library/mlx/gui/gui.pyc	51880	a4a9abe3347337e5c4bdb6e2e8ccefe6
+library/mlx/gui/gui.pyc	51880	527883f280be96031c1f4b84f7349f18
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
 library/posixpath.pyc	10734	d694316c239784c444b252c801c97efa
@@ -22,5 +22,5 @@
 doc/manual/hu/bugreport.png	12385	c71c7db56f19870ae5d6bb7f533d3679
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	23dcecae6498c144fa778bd7bab47321
+library/gobject/_gobject.pyc	573	7c2f90e0e695b5b62cd85ccc408cbfa2
 locale/en/LC_MESSAGES/mlx.mo	63614	f1ec02622dac249b0b132481f1f1baac
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
@@ -41,5 +41,5 @@
 library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
 doc/manual/en/fuel.png	27700	777f9f3431c2f53db4b98f3449e4baf7
-library/mlx/gui/info.pyc	5338	b5f498b7b7920bff7569b15577999dbd
+library/mlx/gui/info.pyc	5338	7e8f30c1d90e58988c1564afeeca3871
 library/io.pyc	3378	197da422e1d85c483c94fa0251b5ff76
 library/xml/sax/xmlreader.pyc	17862	0362ded7016d21cdd85aea1170ebdda1
@@ -76,10 +76,10 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	03e9e048acdd2104fce5db31ac947f13
+library/_hashlib.pyc	549	37fb150ca2ca7307b51d0283888925fa
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 library/share/locale/hu/LC_MESSAGES/gdk-pixbuf.mo	21895	a932ead453f04de30e348c1689a4d896
-library/mlx/gui/dcdata.pyc	16051	7a7f655725cae055fc5047374e05f73a
-library/mlx/gui/__init__.pyc	107	3494fc6a671a7b8a9dc72ea93948ae52
+library/mlx/gui/dcdata.pyc	16051	e63d916eb1b0070f1915063cbc068119
+library/mlx/gui/__init__.pyc	107	22f268cac1c5be2f3a058810b6caead3
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
 library/encodings/iso2022_kr.pyc	1683	ef9549932514d2deda6c4676e5e5f1db
@@ -87,8 +87,8 @@
 library/select.pyd	11776	d90bf525f9f6c9c3aa6532fa6e569b4f
 library/base64.pyc	10528	39abec9c60dc011d3c763f443f9b1a11
-library/mlx/gui/bugreport.pyc	4602	83b76b9a897dc3d2ce2e7cd28dd6e4ae
+library/mlx/gui/bugreport.pyc	4602	40b93f71f84bcbaa3c4918516acae15c
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
 library/_weakrefset.pyc	9290	a56e87c491c0511cd329a3c8c4cd9563
-library/mlx/flight.pyc	19402	7e1564bd7a98c5bf7bc0c4b341afc8fc
+library/mlx/flight.pyc	19402	8d0576405805dc4a56c2d96885804455
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 doc/manual/en/flightSelection.png	29847	7817c8f5ed8d7fe64cf72d0addaf3e4a
@@ -100,5 +100,5 @@
 doc/manual/en/mainWindow.png	25345	15b206118a6670f9edaceb8aa830fdd7
 library/ctypes/__init__.pyc	18846	2bd183962453ae93d6887b303d3fd338
-library/mlx/acars.pyc	1690	733d057c94683c74079d6e096f601855
+library/mlx/acars.pyc	1690	96ceda793dc57922cc6867845ac782b3
 library/encodings/iso8859_3.pyc	2685	7b5b2924647578ab7555db2d86cd1b9b
 sounds/taps.mp3	16614	d4a019c7e9342ae329aee6932d6a43c3
@@ -117,5 +117,5 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/encodings/utf_16_be.pyc	1854	84a1d1465453727af051eaeeb853782f
-library/mlx/fsuipc.pyc	73308	508785fddbcc14d39e5fbebae219b317
+library/mlx/fsuipc.pyc	73308	896c2970565163c8f79869e4613fcb6e
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	27436	5406dfe5408569cb95499c057bf0185b
@@ -129,5 +129,5 @@
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
-library/mlx/gui/common.pyc	10360	6b44b406633f811178f046a285c6975e
+library/mlx/gui/common.pyc	10360	7df358ff4712e26051ec36a9dbe353b3
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 doc/manual/hu/index.html	51903	4bfbb26709c699f21fe593cb4efd2d98
@@ -135,6 +135,6 @@
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	16169	64c14e0842c413cac98b92926279f3e0
-library/cairo/_cairo.pyc	561	49d0c64aed463db59b310ab575c23c2a
-library/win32file.pyc	552	f144667df6b6874d03a50bc114dcfc81
+library/cairo/_cairo.pyc	561	1a1d51aa0f14fe6b4ba716602209c664
+library/win32file.pyc	552	b8f8904188b0db20c61179173c550b4c
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -145,5 +145,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	9c3505dab5c5a4495e2fba4c2243392f
+library/bz2.pyc	534	41e46b79d9b1329ec36fad3aa13ece12
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -159,8 +159,8 @@
 library/UserDict.pyc	7920	c72896a5a8a1a3d93fa6ba23c50a04b0
 library/encodings/koi8_r.pyc	2700	fff1b35002b9e938b7ea6fd0fbe824ae
-library/mlx/gui/statusbar.pyc	4812	799c3b2d6e3f85ecd79f68d5814d7c40
+library/mlx/gui/statusbar.pyc	4812	87773f7d0bd28ed6250acf1972110ca8
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	5bcd0f8dca7860004121cffeb51ca183
-library/mlx/const.pyc	6709	b07e2c3f89d79e99187d862702495800
+mlxupdate.exe	19456	b73b528e494041d3d5ff32fd6aecf432
+library/mlx/const.pyc	6709	c3863fec6fa25f94f7254242422e0344
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -175,5 +175,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	28706b9b6b3a9688a232180de70c339c
+library/_ssl.pyc	537	84b475ed7eb39cb1c909550ea3ccf976
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -192,10 +192,10 @@
 library/encodings/cp869.pyc	7915	404063f8111d018b17d803a12c956ee8
 library/opcode.pyc	6052	4b056d1c0ecd2904ca1fb2a14f28da3c
-library/mlx/gui/checklist.pyc	12279	555775aaed42b3d0687e1b0f501a9f61
+library/mlx/gui/checklist.pyc	12279	0d648433bc36dd90e70dbd27c094733a
 library/email/header.pyc	13339	f741f4c3543a278fec30f4d9bdd0f859
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	4b5ddcafaeae4950ffd45b3d3a3588f5
-library/select.pyc	543	717e7be1780649dba10596c17fb22743
+library/unicodedata.pyc	558	a2c1f99440e0dd11f0021b0cce2d15d7
+library/select.pyc	543	9786710b1bb2d7e884e94e094f69d6aa
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -208,12 +208,12 @@
 library/libpangoft2-1.0-0.dll	815421	1dbfead06e26edb81f0849490210e3ff
 library/random.pyc	24831	54b2048974a5c98912276ffa5dc637a9
-library/mlx/util.pyc	4884	7537803cf47e18210ab5f298ba9eba9e
-library/mlx/soundsched.pyc	9185	4211730170fddb82b5683ce1849234ee
+library/mlx/util.pyc	4884	0e1e044381afbed77e8cd996e3df4aa0
+library/mlx/soundsched.pyc	9185	5d9c36cbf8971ad0e91adff5f9c4ab54
 library/doctest.pyc	79210	620422f95e18417ff5f8440534a71e91
-library/mlx/logger.pyc	12739	2c7ccb9e49b38672a2e2f0a3a5ca4c12
+library/mlx/logger.pyc	12739	8b2df45fae102a30b2ad31e55342de74
 library/encodings/cp775.pyc	7888	25bf7dd514dff294aa02d5119399b2b7
 library/libfontconfig-1.dll	279059	dd583bedc5efe7bbd21a8ef107dec88d
 library/_strptime.pyc	14347	ad17a449b54061177a080e3a21507a39
-library/mlx/singleton.pyc	9184	9eec2ed5b230e043afc56592fb13a684
+library/mlx/singleton.pyc	9184	3b71000d428959ab355db2658cea9557
 library/locale.pyc	48754	a51d20267132acc6bc66ac6252cf870f
 library/xplra.pyc	32012	50a1d9f19c0cc88783d264909ad1c678
@@ -229,5 +229,5 @@
 doc/manual/hu/flightInfoTab.png	28786	3e8af27775131f02696b0912ca441f36
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	7d1cc355fa79dfa55d97a3b9b7b31ebe
+library/pangocairo.pyc	555	81c37c6cd5cf3a9f84aecd46014cc7be
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -236,11 +236,11 @@
 doc/manual/hu/connect.png	28822	929f3eb85ee3cad019e12017c923f664
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
-library/mlx/web.pyc	30343	edf545722807b2ae9dc8c7b4569a97cc
-library/mlx/gui/gates.pyc	5384	e85898dc153d9e624ff663afc0575e7d
+library/mlx/web.pyc	30343	aa7fdb138e521d1c3cc5111b3000bdf8
+library/mlx/gui/gates.pyc	5384	9f6acad03872832505e31406a1b6762b
 library/email/feedparser.pyc	10682	4de6a63da8dc270c9881edb9c2f28508
 library/gobject/propertyhelper.pyc	8878	cc3598dab17d31ff46a6dee669ccb5ed
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	628deb6258573fcf275d6573f4427995
+library/pyuipc.pyc	543	05db82b566b5ed4e543698735651dacf
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -262,15 +262,15 @@
 library/os.pyc	25063	7c7eee513ae4238d1b2c16af719c10a0
 doc/manual/en/payload.png	28191	b9d22d6226541b8f58df89c7c9da9a62
-library/pyuipc.pyd	129220	58cdce7763687f456383c93fd3404d9f
+library/pyuipc.pyd	46080	3c42c67172961d773f0533e3164ae0c8
 library/encodings/cp424.pyc	2669	4667015363f54bae44e98d4748e8acfa
 doc/manual/hu/flightSelection.png	30815	e8bcdda6079c6b16ffa72ca62c21ca85
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	7d2d700baa7be1ef1be390e97d846a14
+library/win32pipe.pyc	552	d1dd6ccfbe3f85cbb255441fdc6c0711
 doc/manual/hu/cruise.png	27460	a2610173563e45baae1b0f9e63007ebd
 doc/manual/hu/logTab.png	28706	f48004202310bd2a1cb2f873d8064e93
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	2e7356660567da9df3ebc3ad9f4d5553
+library/win32event.pyc	555	e2bc219b958d6030c22aff8cf85c98a0
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	2699a1b7cb39443bfff747c7a691b782
+library/gio/_gio.pyc	549	9b7e4a6304e0d7abe0d27461d8f366ac
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	27961	8e7cc4aeb8d7f40fcf186c7caf53583b
@@ -279,5 +279,5 @@
 library/mimetools.pyc	7837	c9accd6ef795bf71c90630be0161cadc
 doc/manual/en/pirepLoaded.png	9887	e27a7c87e134944787e29874c455380d
-library/mlx/gui/weighthelp.pyc	13179	9ebfa07c41e167371380dda80b5bd72b
+library/mlx/gui/weighthelp.pyc	13179	09924037c8e067c96c1e7acd88671ed1
 library/encodings/quopri_codec.pyc	3365	01342d4d2735bcbfeb333d784297547a
 library/libcairo-2.dll	1294335	c0da2a3ab704f338f0fc6df51fd99497
@@ -293,7 +293,7 @@
 library/email/message.pyc	27764	493826f529d17f5a21080a4c98b49369
 library/encodings/mac_romanian.pyc	2756	a3b2a0892236bc80c8efe8940e33339e
-library/mlx/gui/pirep.pyc	16749	2006126d65a19999a20c4a34f1e94342
+library/mlx/gui/pirep.pyc	16749	7a295b28dbdad43b33c52d814be60792
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	5dcc3c73e5f8dc6f50f4493a24d5ca80
+library/_ctypes.pyc	546	7dab7c374a2888b39503f4b0599513c0
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -313,17 +313,17 @@
 library/repr.pyc	5045	82f0d89c685c3dacd941e01e4b2f31ef
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
-library/mlx/gui/monitor.pyc	12214	edceb55b90183ae1fce379d8bdeab698
+library/mlx/gui/monitor.pyc	12214	0f077b01d70eee60a107ad06c1501323
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
-library/mlx/update.pyc	16952	2bfcf72827b67c8c6e82f88910662318
+library/mlx/update.pyc	16952	b4c0e85d094410aa0b7075476962730d
 library/encodings/gb2312.pyc	1646	466ac29d34de1ad4b3d299ca834e28d9
 library/libgdk_pixbuf-2.0-0.dll	285194	e4c64b0e7e4c6606f3973a16c0c1ee84
 library/encodings/big5.pyc	1630	a21b45d3e487bf09f40a08448040c97d
-library/mlx/gui/update.pyc	11427	5698abbc9b133f18fa2c37d3bfa74bee
+library/mlx/gui/update.pyc	11427	903cdcb4529c2131de98c8a9e9cd1aa4
 doc/manual/en/gatesTab.png	29585	00ebc96a2b4a7473dbb6a3162a04192f
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	119467	f40a898285563de57f0191ea8261da4f
+library/mlx/gui/flight.pyc	119467	a9976cc07fa63ea7f5d590ea90f95bb1
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	35652	cfc74e21245b8c6b51e34e47ca185680
+library/mlx/acft.pyc	35652	e47290de7719d5d13b22c5f84e06e9ef
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
@@ -332,11 +332,11 @@
 library/encodings/cp862.pyc	8003	261df6dd1a6e5ad90a83dfc739a25e0a
 library/gtk/_lazyutils.pyc	2772	93f9aa41ad4223106d99340cd539a566
-library/mlx/gui/statusicon.pyc	5616	03e079307c1f83f36284e1b32887b28e
-library/mlx/mlx.pyc	2936	6376cc2c1877f196742bedf0ce1eb0eb
+library/mlx/gui/statusicon.pyc	5616	72e7f1f435bced8727eecc708d69de12
+library/mlx/mlx.pyc	2936	804e6d37e694caa7cac723aca72e76ca
 library/encodings/cp864.pyc	7999	ca90afae086cb6b8f69b8419cc3cd1cb
 library/pyexpat.pyd	152576	5a82e9ec95005aca6130751e5b961cc3
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	95618ae4d479474cd22d69f1b9baa14f
+library/pyexpat.pyc	546	f8146d44b7d1ac165982e780cc485776
 doc/manual/hu/gateSelection.png	29237	bac37e7001261a40a84e4202247f6052
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
@@ -353,5 +353,5 @@
 library/encodings/koi8_u.pyc	2686	b7e5a52eaaaf6b340075b40dc7596f42
 library/encodings/mac_arabic.pyc	7824	820deef79b02e1f7e52eb18e9be655bf
-library/mlx/gui/prefs.pyc	27685	3e44ddc34bc5d43b953039b9241f24c7
+library/mlx/gui/prefs.pyc	27685	03190ddbc9ae665c284de51408963ba7
 library/atk.pyd	208384	ebe7f0929eac23a3205d17d69906e172
 library/win32event.pyd	18432	8b65330a56e2bc60d43d6e266c3a922a
@@ -364,25 +364,25 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	62b11e0e5ddd8f5fffb8313e9f90aee3
+library/_socket.pyc	546	2e3efff3d6e51e74487c12f7989e0027
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/checks.pyc	59508	625db45175dc93a38db4f63f6901b5b9
+library/mlx/checks.pyc	59508	d0e16ac579b007e19372bdcad2d40f72
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
-library/mlx/sound.pyc	10001	99d484ee27c8db8984abf0e5c6795d98
+library/mlx/sound.pyc	10001	c86fad3b813d4f8ac72ce12c973ec579
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	a4ab2747d86d5583dd1dff0e06556eaf
+library/glib/_glib.pyc	555	74484c2ef2086abb1316f95a56f6da16
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	9d2d3259ec0ea776ee1ae6327a2fc362
+library/win32api.pyc	549	04b7aa24d2d27139d674ef4979c49682
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
 doc/manual/hu/calloutsEditor.png	16026	fede870894a85e5d21ca16a026aa6a98
-library/mlx/xplane.pyc	66514	57bdd015896bd531ef39d4811d0121db
+library/mlx/xplane.pyc	66514	3d48278f7dc5fa430b946cb1aebd20f0
 library/ssl.pyc	13785	d90c880699ecbedb3182f556b9733868
 library/tempfile.pyc	18526	e2cc2d63c29e15f20ee9325e790643a3
 library/encodings/euc_jisx0213.pyc	1694	88f34b9922eddbe5e1f3c77fd89e86f9
 w9xpopen.exe	49664	e6895233ad1e6f3dcdd04c7c26b0e7c0
-library/mlx/airports.pyc	4350	e0fee9bae54850629841bbcf68b1b89f
-library/mlx/gui/callouts.pyc	16060	7a3055f313e693779e9d2df22bb7568a
+library/mlx/airports.pyc	4350	e6852c03d931caa17646118c38e6f8f1
+library/mlx/gui/callouts.pyc	16060	2e120c6e554d8d68459a52791e374789
 library/encodings/cp1026.pyc	2653	ced5dd0cc0da378b0968f82309b9bcfb
 library/encodings/iso8859_15.pyc	2693	b892f358bbc25ae9d3824be158aabe28
@@ -395,7 +395,7 @@
 sounds/cpt_takeoff.mp3	8255	254edcf79b8b3752d1a7c191c57f615a
 library/encodings/cp860.pyc	7857	59c6f69108873700081e71b2faaa29f8
-library/mlx/__init__.pyc	103	877b8715b7e58440a0e8f212cab6035e
+library/mlx/__init__.pyc	103	029f80bd80f880e6ca70ef4ba46f7d06
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
-library/mlx/i18n.pyc	1972	fe45816e49cf5e380bc39942a9dfa875
+library/mlx/i18n.pyc	1972	141a57905a2597e5ced25866d032d3a4
 library/xml/sax/saxutils.pyc	12382	32ed045b3b520234ebea6a508a6569fe
 library/share/locale/hu/LC_MESSAGES/glib20.mo	84697	a3167f1c306a43d662f7c261abc69156
@@ -404,5 +404,5 @@
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
-library/mlx/pyuipc_sim.pyc	57183	b201f4d4c95d9c27a847fdd9a57b17a1
+library/mlx/pyuipc_sim.pyc	57183	11246ecca37406ce4b90df909f752189
 library/encodings/iso8859_9.pyc	2678	88880e046738ebd2012c8034416a9adf
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
@@ -421,6 +421,6 @@
 library/libgthread-2.0-0.dll	44287	7ad6f303082b382bff7bafbab246c61f
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
-library/mlx/config.pyc	30521	75c1c4c91c71e1a7f486a54b4f32b6a0
-library/atk.pyc	534	d32464fb4770fa0c02d37055f208a873
+library/mlx/config.pyc	30521	f56ff616c07f5620d02da08a98040f21
+library/atk.pyc	534	853cd4d6b2f5c2cf7d9494d16a250ead
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -432,7 +432,7 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	1ebdb6daea36e5329ebeb868abe0a6ef
+runmlx.exe	64000	325172612e48091df090848c451d495c
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
-library/mlx/fs.pyc	11803	199bdac7de7a006e762f12563e08c6e0
+library/mlx/fs.pyc	11803	51e819778a86c4e4e6a70ef191a9012c
 doc/manual/en/takeoff.png	26128	63fb0227347eba88fe4f108d730dc8c0
 library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
@@ -445,8 +445,8 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	aea6bf61585f4ba011a2b406d0a76079
+library/pango.pyc	540	8cddd54cc4a2441b0dce33343b4d0a0e
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab
-library/mlx/gui/delaycodes.pyc	12929	e8c1d6f46ef6e369451be3cbde0a3127
+library/mlx/gui/delaycodes.pyc	12929	1dc94065d8f63d323538d8e3eda73fda
 library/encodings/raw_unicode_escape.pyc	2048	8138045029da04bf45204ab756d1bcd4
 sounds/TOD.mp3	174707	92176d53d948fbfebd08c011b063179a
@@ -459,3 +459,3 @@
 library/unittest/main.pyc	7701	82258a486f5133466c9cf10323814fbf
 doc/manual/hu/route.png	26601	fd1ee7c47290f4c3a2f9fd6618aeb678
-library/mlx/watchdog.pyc	3957	4b6c34d79e730066e8af7cf71689f9ad
+library/mlx/watchdog.pyc	3957	8dd7d882e0716f1c6c9054e5009bcc1e