Index: src/mlx/acft.py
===================================================================
--- src/mlx/acft.py	(revision 539)
+++ src/mlx/acft.py	(revision 591)
@@ -91,7 +91,8 @@
         return _classes[flight.aircraftType](flight)
 
-    def __init__(self, flight):
+    def __init__(self, flight, minLandingFuel = None):
         """Construct the aircraft for the given type."""
         self._flight = flight
+        self._minLandingFuel = minLandingFuel
 
         self._name = None
@@ -359,4 +360,11 @@
                 self.logger.message(aircraftState.timestamp, "Flight time end")
                 self._flight.logFuel(aircraftState)
+                if self._minLandingFuel is not None and \
+                   aircraftState.totalFuel<self._minLandingFuel:
+                    self._flight.handleNoGo(self.__class__,
+                                            aircraftState.timestamp,
+                                            "The amount of the landing fuel is less than the minimum for this type: %ukgs" %
+                                            (self._minLandingFuel,),
+                                            "LANDING FUEL NO GO")
                 self.logger.message(aircraftState.timestamp,
                                     "Landing weight: %.0f kg, MLW: %.0f" % \
@@ -631,6 +639,6 @@
     - n1: left, right
     - reverser: left, right"""
-    def __init__(self, flight):
-        super(Boeing737, self).__init__(flight)
+    def __init__(self, flight, minLandingFuel = 2500):
+        super(Boeing737, self).__init__(flight, minLandingFuel = minLandingFuel)
 
         self.gearSpeedLimit = 270
@@ -692,5 +700,12 @@
 #---------------------------------------------------------------------------------------
 
-class B733(Boeing737):
+class Boeing737CL(Boeing737):
+    """Base class for the various aircraft in the Boeing 737 Classic family."""
+    def __init__(self, flight):
+        super(Boeing737CL, self).__init__(flight, minLandingFuel = 3500)
+
+#---------------------------------------------------------------------------------------
+
+class B733(Boeing737CL):
     """Boeing 737-300 aircraft."""
     def __init__(self, flight):
@@ -703,5 +718,5 @@
 #---------------------------------------------------------------------------------------
 
-class B734(Boeing737):
+class B734(Boeing737CL):
     """Boeing 737-400 aircraft."""
     def __init__(self, flight):
@@ -714,5 +729,5 @@
 #---------------------------------------------------------------------------------------
 
-class B735(Boeing737):
+class B735(Boeing737CL):
     """Boeing 737-500 aircraft."""
     def __init__(self, flight):
@@ -735,5 +750,5 @@
 
     def __init__(self, flight):
-        super(DH8D, self).__init__(flight)
+        super(DH8D, self).__init__(flight, minLandingFuel = 2000)
         self.dow = 17185
         self.mtow = 29257
@@ -757,6 +772,6 @@
     - reverser: left, right"""
 
-    def __init__(self, flight):
-        super(Boeing767, self).__init__(flight)
+    def __init__(self, flight, minLandingFuel = 9000):
+        super(Boeing767, self).__init__(flight, minLandingFuel = minLandingFuel)
         self.gearSpeedLimit = 270
         self.flapSpeedLimits = { 1 : 255,
@@ -805,5 +820,5 @@
     - reverser: left, right."""
     def __init__(self, flight):
-        super(CRJ2, self).__init__(flight)
+        super(CRJ2, self).__init__(flight, minLandingFuel = 1000)
         self.dow = 14549
         self.mtow = 22995
@@ -827,5 +842,5 @@
     - reverser: left, right."""
     def __init__(self, flight):
-        super(F70, self).__init__(flight)
+        super(F70, self).__init__(flight, minLandingFuel = 1900)
         self.dow = 24283
         self.mtow = 38100 # FIXME: differentiate by registration number,
@@ -886,5 +901,5 @@
     - reverser: left, right."""
     def __init__(self, flight):
-        super(T134, self).__init__(flight)
+        super(T134, self).__init__(flight, minLandingFuel = 3000)
         self.dow = 29500
         self.mtow = 49000
@@ -932,5 +947,5 @@
     - reverser: left, right"""
     def __init__(self, flight):
-        super(T154, self).__init__(flight)
+        super(T154, self).__init__(flight, minLandingFuel = 5000)
         self.dow = 53259
         self.mtow = 98000