Index: locale/en/mlx.po
===================================================================
--- locale/en/mlx.po	(revision 590)
+++ locale/en/mlx.po	(revision 592)
@@ -582,9 +582,23 @@
 msgstr "Fuel"
 
-msgid "fuel_help"
+msgid "fuel_help_pre"
 msgstr ""
 "Enter the amount of fuel in kilograms that need to be present "
-"in each tank below.\n"
-"\n"
+"in each tank below."
+
+msgid "fuel_help_min"
+msgstr ""
+" \n\n"
+"The minimal amount of landing fuel of your aircraft is <b>%u kgs</b>."
+
+msgid "fuel_help_min_rec"
+msgstr ""
+" \n\n"
+"The minimal amount of landing fuel of your aircraft is <b>%u kgs</b>,\n"
+"and it is recommended to land with %u kgs."
+
+msgid "fuel_help_post"
+msgstr ""
+" \n\n"
 "When you press <b>Next</b>, the necessary amount of fuel\n"
 "will be pumped into or out of the tanks."
Index: locale/hu/mlx.po
===================================================================
--- locale/hu/mlx.po	(revision 590)
+++ locale/hu/mlx.po	(revision 592)
@@ -585,8 +585,22 @@
 msgstr "Üzemanyag"
 
-msgid "fuel_help"
-msgstr ""
-"Írd be az egyes tartályokba szükséges üzemanyag mennyiségét kilogrammban.\n"
-"\n"
+msgid "fuel_help_pre"
+msgstr ""
+"Írd be az egyes tartályokba szükséges üzemanyag mennyiségét kilogrammban"
+
+msgid "fuel_help_min"
+msgstr ""
+" \n\n"
+"A repülőgép leszállási üzemanyagának minimális mennyisége: <b>%u kg</b>."
+
+msgid "fuel_help_min_rec"
+msgstr ""
+" \n\n"
+"A repülőgép leszállási üzemanyagának minimális mennyisége: <b>%u kg</b>,\n"
+"és ajánlott %u kg üzemanyaggal földet érni."
+
+msgid "fuel_help_post"
+msgstr ""
+" \n\n"
 "Ha megnyomod az <b>Előre</b> gombot, a megadott mennyiségű\n"
 "üzemanyag bekerül a tartályokba."
Index: src/mlx/acft.py
===================================================================
--- src/mlx/acft.py	(revision 591)
+++ src/mlx/acft.py	(revision 592)
@@ -91,8 +91,10 @@
         return _classes[flight.aircraftType](flight)
 
-    def __init__(self, flight, minLandingFuel = None):
+    def __init__(self, flight, minLandingFuel = None,
+                 recommendedLandingFuel = None):
         """Construct the aircraft for the given type."""
         self._flight = flight
         self._minLandingFuel = minLandingFuel
+        self._recommendedLandingFuel = recommendedLandingFuel
 
         self._name = None
@@ -211,4 +213,14 @@
         """Get the flight the aircraft belongs to."""
         return self._flight
+
+    @property
+    def minLandingFuel(self):
+        """Get the minimum acceptable amount of the landing fuel."""
+        return self._minLandingFuel
+
+    @property
+    def recommendedLandingFuel(self):
+        """Get the recommended amount of the landing fuel."""
+        return self._recommendedLandingFuel
 
     @property
@@ -639,6 +651,10 @@
     - n1: left, right
     - reverser: left, right"""
-    def __init__(self, flight, minLandingFuel = 2500):
-        super(Boeing737, self).__init__(flight, minLandingFuel = minLandingFuel)
+    def __init__(self, flight, minLandingFuel = 2500,
+                 recommendedLandingFuel = 3500):
+        super(Boeing737, self).__init__(flight,
+                                        minLandingFuel = minLandingFuel,
+                                        recommendedLandingFuel =
+                                        recommendedLandingFuel)
 
         self.gearSpeedLimit = 270
@@ -703,5 +719,6 @@
     """Base class for the various aircraft in the Boeing 737 Classic family."""
     def __init__(self, flight):
-        super(Boeing737CL, self).__init__(flight, minLandingFuel = 3500)
+        super(Boeing737CL, self).__init__(flight, minLandingFuel = 3500,
+                                          recommendedLandingFuel = None)
 
 #---------------------------------------------------------------------------------------
Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 590)
+++ src/mlx/gui/flight.py	(revision 592)
@@ -1603,5 +1603,6 @@
         """Construct the page."""
         super(FuelPage, self).__init__(wizard, xstr("fuel_title"),
-                                       xstr("fuel_help"),
+                                       xstr("fuel_help_pre") +
+                                       xstr("fuel_help_post"),
                                        completedHelp = xstr("fuel_chelp"))
 
@@ -1625,4 +1626,15 @@
         """Activate the page."""
         self._setupTanks(self._wizard._fuelData)
+
+        aircraft = self._wizard.gui.flight.aircraft
+        minLandingFuel = aircraft.minLandingFuel
+        recommendedLandingFuel = aircraft.recommendedLandingFuel
+
+        middleHelp = "" if minLandingFuel is None else \
+            (xstr("fuel_help_min") % (minLandingFuel,)) \
+            if recommendedLandingFuel is None else \
+            (xstr("fuel_help_min_rec") % (minLandingFuel,
+                                          recommendedLandingFuel))
+        self.setHelp(xstr("fuel_help_pre") + middleHelp + xstr("fuel_help_post"))
 
     def finalize(self):