Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 603)
+++ MLXMANIFEST	(revision 613)
@@ -7,5 +7,5 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	4ecffec81c11e7800ac7491c0500b140
+library/gtk/_gtk.pyc	549	275ab1439b2b4db6449533e9e27db6a4
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/mlx/pirep.pyc	4623	6c485ea65ff6245ab56960a8bbec7051
@@ -13,5 +13,5 @@
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
-library/mlx/gui/gui.pyc	51880	a4a9abe3347337e5c4bdb6e2e8ccefe6
+library/mlx/gui/gui.pyc	53154	ce2b17a9b349c960db9661642af73a2b
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
 library/posixpath.pyc	10734	d694316c239784c444b252c801c97efa
@@ -22,6 +22,6 @@
 doc/manual/hu/bugreport.png	12385	c71c7db56f19870ae5d6bb7f533d3679
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	b303d1a23fddb47a507970e9bafeedb4
-locale/en/LC_MESSAGES/mlx.mo	64274	02be765dc85cd05ef6f28aae2befa46c
+library/gobject/_gobject.pyc	573	a956cd1781c238b8b6ab68761de679d9
+locale/en/LC_MESSAGES/mlx.mo	64461	f88934a058e709ea3c750f7bcb42538d
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 doc/manual/hu/pirepViewer.png	26835	267e4325e550ed14ed22f86a2c7e8e9d
@@ -41,5 +41,5 @@
 library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
 doc/manual/en/fuel.png	27700	777f9f3431c2f53db4b98f3449e4baf7
-library/mlx/gui/info.pyc	5338	b5f498b7b7920bff7569b15577999dbd
+library/mlx/gui/info.pyc	6535	49ddf17a0ad74cf47373889602148d1d
 library/io.pyc	3378	197da422e1d85c483c94fa0251b5ff76
 library/xml/sax/xmlreader.pyc	17862	0362ded7016d21cdd85aea1170ebdda1
@@ -63,5 +63,5 @@
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-locale/hu/LC_MESSAGES/mlx.mo	69133	28b9d072c2d91554b2dbbc9557e487b3
+locale/hu/LC_MESSAGES/mlx.mo	69350	ca0b6d89d0697297d93b43c9f9f8b9c7
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/copy_reg.pyc	4893	7a58bc441232056d1c123cd3375b3774
@@ -76,5 +76,5 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	cf9d8f468e261035e7d71ea3c276ae64
+library/_hashlib.pyc	549	b229b1309aa6f568174473889dbef254
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
@@ -90,5 +90,5 @@
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
 library/_weakrefset.pyc	9290	a56e87c491c0511cd329a3c8c4cd9563
-library/mlx/flight.pyc	19990	5de7f318c1d390fd447cc80f3018f824
+library/mlx/flight.pyc	20315	5a0e66e7079a2f5834a84368b238fc4b
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 doc/manual/en/flightSelection.png	29847	7817c8f5ed8d7fe64cf72d0addaf3e4a
@@ -114,5 +114,5 @@
 library/email/mime/__init__.pyc	110	bae57a199e3d0998a1364b9fbae8b3cd
 library/calendar.pyc	26136	6f2f18efc99d759f99b2935b9dc9dbb1
-library/winerror.pyc	112982	55d3cde3735c8056eb17ce5e2c076a2d
+library/winerror.pyc	112982	4986a8f2df094dddedd12c9fddf4966d
 library/_LWPCookieJar.pyc	5440	3782ae675165b232a3f78608ac2dbccd
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
@@ -130,5 +130,5 @@
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
-library/mlx/gui/common.pyc	10241	53eea37952728d224b0e497b0a62ceae
+library/mlx/gui/common.pyc	10398	ded6c1245ecb107e0220d45da5d35ace
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 library/markupbase.pyc	9010	b33ff430e9b1adba3d540b5394ff289a
@@ -137,6 +137,6 @@
 doc/manual/en/prefsAdvanced.png	16169	64c14e0842c413cac98b92926279f3e0
 library/mlx/pyuipc_sim.pyc	57183	b201f4d4c95d9c27a847fdd9a57b17a1
-library/cairo/_cairo.pyc	561	0289736f8a93dad30fd32ffa2845d37e
-library/win32file.pyc	552	9f5af482e5752c6c1a1bc6bbb5628ede
+library/cairo/_cairo.pyc	561	dcf9906de31e0386bf0ceaad73810729
+library/win32file.pyc	552	5d6b415e5e76afcd4cba0efe07fc89b9
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -148,5 +148,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	3f2f110b18bdaa15f75ea58706f1e503
+library/bz2.pyc	534	bfae14a6ea2cfd28db29021a97f888be
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -164,6 +164,6 @@
 library/mlx/gui/statusbar.pyc	4812	799c3b2d6e3f85ecd79f68d5814d7c40
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	007f41609312aaded6ede94bb59e7b76
-library/mlx/const.pyc	6707	83693845ec8d9ba7829601f0af3adbf6
+mlxupdate.exe	19456	5879c1d4ad134327e06201a672133e76
+library/mlx/const.pyc	6707	9df36b55878a8ce76bf72d590c15fdab
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -178,5 +178,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	ca765d8f59038053846dd9d53ae1e8f6
+library/_ssl.pyc	537	cd87ac3331810b4293eadb507988c7ce
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -198,6 +198,6 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	f625dc77c2d9ebb554515a60ee46dd0d
-library/select.pyc	543	a165c6c921c602cf2cf1b8de2301eb2c
+library/unicodedata.pyc	558	03e64bc202531f41827099ef3cad4da7
+library/select.pyc	543	d34b25cb988d103fa7f2f1d8f3e723e6
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -213,5 +213,5 @@
 library/mlx/soundsched.pyc	9185	4211730170fddb82b5683ce1849234ee
 library/doctest.pyc	79210	620422f95e18417ff5f8440534a71e91
-library/mlx/logger.pyc	12739	2c7ccb9e49b38672a2e2f0a3a5ca4c12
+library/mlx/logger.pyc	13008	041748b808fde718595542dd3698b532
 library/encodings/cp775.pyc	7888	25bf7dd514dff294aa02d5119399b2b7
 library/libfontconfig-1.dll	279059	dd583bedc5efe7bbd21a8ef107dec88d
@@ -231,5 +231,5 @@
 doc/manual/hu/flightInfoTab.png	28786	3e8af27775131f02696b0912ca441f36
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	3a7edf04a9de15cf6412667ac4d57a24
+library/pangocairo.pyc	555	f63eeda0a9b0d5147061fe00be94a2af
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -244,5 +244,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	9dc5f14969c4801bc86071f5f779249f
+library/pyuipc.pyc	543	2ef6be336fea295ba183e6e0fcd15e78
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -268,11 +268,11 @@
 doc/manual/hu/flightSelection.png	30815	e8bcdda6079c6b16ffa72ca62c21ca85
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	329a8ab802218d9962a247a89d51e22a
+library/win32pipe.pyc	552	4d925d4aad64548939fd1a469de0d0e6
 doc/manual/hu/cruise.png	27460	a2610173563e45baae1b0f9e63007ebd
 doc/manual/hu/logTab.png	28706	f48004202310bd2a1cb2f873d8064e93
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	10f413529fa89817f31c0133e567684e
+library/win32event.pyc	555	d15676f1671278d81b14f89d7dc8ec6f
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	c2e655da7e2dc845ec8e079fd6340224
+library/gio/_gio.pyc	549	950ffdd3f6cb5b3a094bb48b1429198c
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	27961	8e7cc4aeb8d7f40fcf186c7caf53583b
@@ -297,5 +297,6 @@
 library/mlx/gui/pirep.pyc	16749	2006126d65a19999a20c4a34f1e94342
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	e30887dffc69e7ad968afa6961f87bcb
+library/_ctypes.pyc	546	e9eacab7e02fd437ddef7af81082c56f
+library/mlx/gui/faultexplain.pyc	8340	5c1ae7423e56422afa6fa24e2e855503
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -325,8 +326,8 @@
 doc/manual/en/gatesTab.png	29585	00ebc96a2b4a7473dbb6a3162a04192f
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	125433	181d00249cb52d1bf4236e185cd231b3
+library/mlx/gui/flight.pyc	126021	3467ba9f828ada2a9cbdd51c73970764
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	37076	4e1cd783429ebc5911a44cddb0651ee7
+library/mlx/acft.pyc	37950	18e07b3d78c8510554e2a5467869c61f
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
@@ -342,5 +343,5 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	996c2912b4e19156f75975937b3a00bb
+library/pyexpat.pyc	546	daf08b7113236da2bd281d585e0cf78d
 doc/manual/hu/gateSelection.png	29237	bac37e7001261a40a84e4202247f6052
 library/cmd.pyc	13512	808f813d5e354b7073a1356e44c7b554
@@ -368,19 +369,19 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	bd77e01b70f3c0feee7e6e1e972b1b65
+library/_socket.pyc	546	e4bf5fc445e76e27e48e8a051640a9e7
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/checks.pyc	61059	4b49f11e0172686025afed2f5d52b09c
+library/mlx/checks.pyc	61254	305e070f879ce5222c2ab65cc33ef250
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
 library/mlx/sound.pyc	8226	03b098ed1dd965db98ef4f75b07d6cae
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	a2621d975a29d2783b52d3ffc4a383c2
+library/glib/_glib.pyc	555	8ca5140e35d1bafa684cdaa3e9fabfed
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	59883ae826090fcbc4d08c851eccb485
+library/win32api.pyc	549	4af34c2c40e3be67855fe9662f854b20
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
 doc/manual/hu/calloutsEditor.png	16026	fede870894a85e5d21ca16a026aa6a98
-library/mlx/xplane.pyc	66514	57bdd015896bd531ef39d4811d0121db
+library/mlx/xplane.pyc	66527	7020c9dedd956df4334ea03b1e226fd0
 library/ssl.pyc	13785	d90c880699ecbedb3182f556b9733868
 library/tempfile.pyc	18526	e2cc2d63c29e15f20ee9325e790643a3
@@ -426,5 +427,5 @@
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	30521	75c1c4c91c71e1a7f486a54b4f32b6a0
-library/atk.pyc	534	9082e470d7326f8aef3123260ebf20eb
+library/atk.pyc	534	19af281969c8984e4776189a68492d86
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -436,5 +437,5 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	7ca38a463ccc6b3a83fe06ca37045e01
+runmlx.exe	64000	712cf18bb702bfb2fea3528b34b8e9ea
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
 library/mlx/fs.pyc	11803	199bdac7de7a006e762f12563e08c6e0
@@ -449,5 +450,5 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	ac6e3411f1cb5beb13a7eada3e18558d
+library/pango.pyc	540	2fbc6ecb7119b0f9a1e20b460be4f5b9
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab