Index: src/mlx/gui/faultexplain.py
===================================================================
--- src/mlx/gui/faultexplain.py	(revision 617)
+++ src/mlx/gui/faultexplain.py	(revision 620)
@@ -132,6 +132,8 @@
         return alignment.get_children()[0]
 
-    def __init__(self):
+    def __init__(self, gui):
         gtk.Frame.__init__(self)
+
+        self._gui = gui
         self.set_label(xstr("info_faults"))
         label = self.get_label_widget()
@@ -141,8 +143,22 @@
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
-                              padding_left = 8, padding_right = 8)
+                              padding_left = 4, padding_right = 4)
+
+        self._outerBox = outerBox = gtk.EventBox()
+        outerBox.add(alignment)
+
+        self._innerBox = innerBox = gtk.EventBox()
+        alignment.add(self._innerBox)
+
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+                                  xscale = 1.0, yscale = 1.0)
+        alignment.set_padding(padding_top = 0, padding_bottom = 0,
+                              padding_left = 0, padding_right = 0)
+
+        innerBox.add(alignment)
 
         scroller = gtk.ScrolledWindow()
         scroller.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
+        scroller.set_shadow_type(SHADOW_NONE)
 
         self._faults = gtk.VBox()
@@ -150,8 +166,10 @@
         scroller.add_with_viewport(self._faults)
 
+        alignment.add(scroller)
+
         self._faultWidgets = {}
 
-        alignment.add(scroller)
-        self.add(alignment)
+        self.add(outerBox)
+        self.show_all()
 
         self._numFaults = 0
@@ -226,4 +244,11 @@
         self._faultWidgets = {}
         self._numFaults = self._numExplanations = 0
+        self._setColor()
+
+    def set_sensitive(self, sensitive):
+        """Set the sensitiviy of the widget.
+
+        The outer event box's sensitivity is changed only."""
+        self._outerBox.set_sensitive(sensitive)
 
     def _updateStats(self, numFaults = None, numExplanations = None):
@@ -246,4 +271,5 @@
 
         if before!=after:
+            self._setColor()
             self.emit("explanations-changed", after)
 
@@ -253,4 +279,26 @@
                                              (1 if hasExplanation else -1)))
 
+    def _setColor(self):
+        """Set the color to indicate if an unexplained fault is present or
+        not."""
+        allExplained = self._numExplanations >= self._numFaults
+        if pygobject:
+            styleContext = self.get_style_context()
+            if allExplained:
+                outerColour = innerColour = gdk.RGBA(red = 0.0, green=0.0,
+                                                     blue=0.0, alpha=0.0)
+            else:
+                outerColour = \
+                  styleContext.get_background_color(gtk.StateFlags.SELECTED)
+                innerColour = self._gui.backgroundColour
+
+            self._outerBox.override_background_color(gtk.StateFlags.NORMAL,
+                                                     outerColour)
+            self._innerBox.override_background_color(gtk.StateFlags.NORMAL,
+                                                     innerColour)
+        else:
+            style = self.rc_get_style()
+            self._outerBox.modify_bg(0, style.bg[0 if allExplained else 3])
+
 #-------------------------------------------------------------------------------
 
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 609)
+++ src/mlx/gui/gui.py	(revision 620)
@@ -170,4 +170,5 @@
 
         window.show_all()
+
         self._wizard.grabDefault()
         self._weightHelp.reset()
@@ -413,4 +414,11 @@
         user."""
         return self._flightInfo.faultsFullyExplained
+
+    if pygobject:
+        @property
+        def backgroundColour(self):
+            """Get the background colour of the main window."""
+            return self._mainWindow.get_style_context().\
+              get_background_color(gtk.StateFlags.NORMAL)
 
     def run(self):
Index: src/mlx/gui/info.py
===================================================================
--- src/mlx/gui/info.py	(revision 605)
+++ src/mlx/gui/info.py	(revision 620)
@@ -68,5 +68,5 @@
         self._comments.get_buffer().connect("changed", self._commentsChanged)
 
-        self._faultExplainWidget = FaultExplainWidget()
+        self._faultExplainWidget = FaultExplainWidget(gui)
         self._faultExplainWidget.connect("explanations-changed",
                                          self._faultExplanationsChanged)