Index: doc/manual/en/index.html
===================================================================
--- doc/manual/en/index.html	(revision 774)
+++ doc/manual/en/index.html	(revision 873)
@@ -368,9 +368,29 @@
   <p>
   If you have selected a flight, you can also save it by using
-  the <b>Save flight</b> button. This is useful when planning to fly
+  the <b>Save flight...</b> button. This is useful when planning to fly
   offline at some later time. When preparing for that flight, you can
   properly log in to the MAVA server, and acquire the list of your
   booked flights. Then you can save the flight you wish to perform
   later offline, on which occasion, you can load the saved flight.
+  </p>
+
+  <p>
+  The briefing for a flight can be printed using the <b>Print briefing...</b>
+  button. The booking can be cancelled by pressing the
+  <b>Delete flight...</b> button. Saving, printing and deleting are also
+  available from the right-button menu as well.
+  </p>
+
+  <p>
+  If you have no booked flights or you do not like the ones booked,
+  you can <a href="#flightBooking">book</a> a new flight if you click
+  on the <b>Book flights...</b> button.
+  </p>
+
+  <p>
+  If you have flights reported but not yet reviewed or rejected,
+  the numbers of them are displayed at the top and the
+  <b>Pending flights...</b> is available
+  to <a href="#pendingFlights">review</a> them.
   </p>
 
@@ -888,4 +908,120 @@
   </p>
 
+  <h2><a name="flightBooking">Booking flights</a></h2>
+
+  <div align="center">
+    <img src="flightBooking.png" alt="The flight booking window"/>
+  </div>
+
+  <p>
+  This window can be displayed either by clicking the <b>Book flights...</b>
+  button on the <a href="#flightSelectionPage">flight selection page</a>
+  of the wizard, by selecting the <b>Tools/Book flights...</b> menu item or
+  by pressing <b>Ctrl+O</b>.
+  </p>
+
+  <p>
+  At the top, you can select the date of your flight. By default, all flights
+  available on the selected day are listed, including regular, scheduled
+  flights and VIP flights. The checkboxes at the top can be used to restrict
+  the type of the flights to be displayed.
+  </p>
+
+  <p>
+  In the frame below you can select the aircraft type(s) for which to list the
+  flights. Only those types are available for which you are rated. By default
+  all such types are enabled.
+  </p>
+
+  <p>
+  If you select a flight from the list, the <b>Book</b> button at the bottom is
+  highlighted. By clicking it or by double clicking on the flight, you can
+  initiate booking it. For regular flights the following dialog box is
+  displayed:
+  </p>
+
+  <div align="center">
+    <img src="flightBookingRegular.png"
+         alt="The flight booking window for regular flights"/>
+  </div>
+
+  <p>
+  As regular flights are actually two flights, one outbound, one inbound, some
+  data for both are displayed. You can also select which aircraft you would
+  like to fly with from the fleet, though one is randomly offered as a default.
+  </p>
+
+  <p>
+  The dialog for VIP flights is slightly different:
+  </p>
+
+  <div align="center">
+    <img src="flightBookingVIP.png"
+         alt="The flight booking window for VIP flights"/>
+  </div>
+
+  <p>
+  VIP flights are considered one-way flights, even if there is a series of
+  them. They also have an intended date on which to fly them, but the dialog
+  allows you to select the actual date. As for regular flights, you can
+  also select the plane to use.
+  </p>
+
+  <p>
+  When you confirm the booking by pressing the <b>Book</b> button, the new
+  flight(s) appear in the flight list and can be flown.
+  </p>
+
+  <h2><a name="pendingFlights">Pending flights</a></h2>
+
+  <div align="center">
+    <img src="pendingFlights.png" alt="Pending flights"/>
+  </div>
+
+  <p>
+  This window contains two lists. The top one contains the flights you have
+  performed and reported, but have not yet been reviewed. If you select a
+  flight from this list, you can edit the corresponding PIREP using the
+  <b>Edit...</b> button. The PIREP editor dialog is similar to the
+  <a href="#pirepViewer">PIREP viewer dialog</a>, but you can modify certain
+  data. If the modifications are ready, click the <b>Save</b> to store
+  your changes in the server.
+  </p>
+
+  <p>
+  To perform a flight again, press the <b>Refly</b>, to delete it,
+  press <b>Delete</b>. These buttons are also available when you select more
+  than one flights, in which case, the operation will affect all selected
+  flights.
+  <p>
+
+  <p>
+  The list at the bottom consists of the flights that have been reviewed and
+  rejected by the reviewer. The <b>View...</b> button displays the
+  <a href="#pirepViewer">PIREP Viewer</a> for the flight, with a new
+  tab <i>Message</i>, containing the reviewer's message, if any.
+  </p>
+
+  <p>
+  The <b>Refly</b> and <b>Delete</b> buttons work here too.
+  </p>
+
+  <h2><a name="acceptedFlights">Accepted fligts</a></h2>
+
+  <p>
+  By selecting the <b>Tools/Accepted flights...</b> menu item, you can
+  display a list of the flights you have performed and have been accepted:
+  </p>
+
+  <div align="center">
+    <img src="acceptedFlights.png" alt="Accepted flights"/>
+  </div>
+
+  <p>
+  Selecting a flight and clicking <b>View</b> displays the
+  <a href="#pirepViewer">PIREP Viewer</a> dialog for the given flight with the
+  <i>Message</i> tab optionally containing the reviewer's message.
+  </p>
+
   <h2><a name="loadingPIREPs">Loading PIREPs</a></h2>
 
@@ -922,7 +1058,7 @@
   </p>
 
-  <div align="center">
+  <a name="pirepViewer"><div align="center">
     <img src="pirepViewer.png" alt="The PIREP Viewer"/>
-  </div>
+  </div></a>
 
   <h2><a name="checklistEditor">Editing checklists</a></h2>
Index: doc/manual/hu/index.html
===================================================================
--- doc/manual/hu/index.html	(revision 774)
+++ doc/manual/hu/index.html	(revision 873)
@@ -365,5 +365,5 @@
   <p>
   Ha a listából kijelölünk egy járatot, akkor azt a <b>Járat
-  mentése</b> gombbal elmenthetjük. Ez akkor lehet hasznos, ha egy
+  mentése...</b> gombbal elmenthetjük. Ez akkor lehet hasznos, ha egy
   későbbi időpontban, offline szeretnénk repülni. A repülés
   előkészítése során a loggerrel bejelentkezhetünk a MAVA szerverére
@@ -371,4 +371,24 @@
   végrehajtani kívánt járatot elmenthetjük, majd a tényleges
   végrehajtáskor visszatölthetjük.
+  </p>
+
+  <p>
+  A kiválasztot járatra vonatkozó eligazítás kinyomtatható az
+  <b>Eligazítás nyomtatása...</b> gomb segítéségvel. A járat foglalása
+  lemondható a <b>Járat törlése...</b> gombbal. A mentés, a nyomtatás és
+  a törlés a jobb-gombos menüből is elvégezhető.
+  </p>
+
+  <p>
+  Ha nincs foglalt járatunk, vagy a meglévők egyike sem tetszik,
+  új járatot lehet <a href="#flightBooking">foglalni</a> a
+  <b>Járatfoglalás...</b> gomb alkalmazásával.
+  </p>
+
+  <p>
+  Ha van olyan járatunk, amelyet már jelentettünk, de még nem
+  javították ki vagy pedig visszautasította a javító, akkor azok száma
+  az oldal tetején megfelenik és a <b>Függő járatok...</b> gombra
+  kattintva <a href="#pendingFlights">megnézhetjük</a> azokat.
   </p>
 
@@ -896,4 +916,122 @@
   </p>
 
+  <h2><a name="flightBooking">Járatfoglalás</a></h2>
+
+  <div align="center">
+    <img src="flightBooking.png" alt="A Járatfoglalás ablak"/>
+  </div>
+
+  <p>
+  Ezt az ablakot a
+  <a href="#flightSelectionPage">járatválasztás oldalon</a>
+  található <b>Járatfoglalás</b> gombra kattinva, az
+  <b>Eszközök/Járatfoglalás...</b> menüpontot kiválasztva vagy a <b>Ctrl+O</b>
+  billentyűkombinációt megnyomva jeleníthetjük meg.
+  </p>
+
+  <p>
+  Az ablak felső részén a járat dátumát kiválaszhatjuk. Alapértelmezésben az
+  adott napon repülhető összes járat megjelenik, mind a menetrend szerinti,
+  mind a VIP járatok. A dátum melletti részen található jelölődobozokkal
+  beállíthatjuk, hogy mely járatok maradjanak a listában.
+  </p>
+
+  <p>
+  A lejjeb lévő részen kiválaszhatjuk, hogy mely típusokkal repülhető járatok
+  maradjanak a listában. Csak azok a típusok választhatók, amelyekre
+  jogosultsággal rendelkezünk. Alaphelyzetben az összes ilyen típus ki van
+  jelölve.
+  </p>
+
+  <p>
+  Ha a listából kiválasztunk egy járatot, az ablak alján található
+  <b>Foglalás</b> gomb aktívvá válik. Rákattintva, vagy a járatra duplán
+  kattinva a foglalás folyamata elindul. Ha a járat menetrend szerinti, az
+  alábbi dialógus ablak jelenik ekkor meg:
+  </p>
+
+  <div align="center">
+    <img src="flightBookingRegular.png"
+         alt="Járatfoglaló ablak menetrend szerinti járathoz"/>
+  </div>
+
+  <p>
+  Mivel a menetrend szerinti járatok valójában két, egy induló és egy érkező
+  járatot jelentenek, mindkét irányra vonatkozóan szerepelnek adatok az
+  ablakban. Kiválaszthatjuk, hogy melyik repülőgéppel szeretnénk lerepülni
+  a járatot, bár az egyiket véletlenszerűen felkínálja a program.
+  </p>
+
+  <p>
+  A VIP járatokhoz tartozó ablak egy kicsit eltér:
+  </p>
+
+  <div align="center">
+    <img src="flightBookingVIP.png"
+         alt="Járatfoglaló ablak VIP járathoz"/>
+  </div>
+
+  <p>
+  A VIP járatok egyirányúak, még ha esetleg egymás után következnek
+  is. Emellett van egy előre megadott repülési dátumuk is, amit azonban az
+  ablakban meg lehet változtatni. A menetrend szerint járatokhoz hasonlóan a
+  repülőgépet is kiválaszthatjuk.
+  </p>
+
+  <p>
+  Ha a <b>Foglalás</b> gomb megnyomásával megerősítjük a foglalást, az új
+  járat(ok) megjelennek a listában és lerepülhetjük azokat.
+  </p>
+
+  <h2><a name="pendingFlights">Függő járatok</a></h2>
+
+  <div align="center">
+    <img src="pendingFlights.png" alt="Függő járatok"/>
+  </div>
+
+  <p>
+  Ez az ablak két listát tartalmaz. A felső a lerepült és jelentett, de még
+  nem javított járatokat tartalmazza. A <b>Szerkesztés...</b> gombra kattintva
+  az éppen kijelölt járatot PIREP-jét szerkeszthetjük. A PIREP szerkesztő ablak
+  hasonlít a <a href="#pirepViewer">PIREP megjelenítő</a> ablakhoz, de bizonyos
+  adatok módosíthatók. Ha elkészültünk a módosításokkal, a <b>Mentés</b>
+  gombbal elmenthetjük azokat a szerverre.
+  </p>
+
+  <p>
+  Ha egy járatot megint le szeretnénk repülni, nyomjuk meg az <b>Újra</b>
+  gombot, a járat törléséhez pedig a <b>Törlés</b>t. E két gomb akkor is aktív,
+  ha több járatot jelöltünk ki, amely esetben a választot művelet az összes
+  kiválasztott járatra vonatkozik.
+  <p>
+
+  <p>
+  Az alsó lista az elutasított járatokat tartalmazza.
+  A <b>Megtekintés...</b> gomb megjeleníti a
+  <a href="#pirepViewer">PIREP megtekintő ablakot</a> a járat adataival,
+  valamint egy új, <i>Üzenet</i> című fület a javító esetleges üzenetével.
+  </p>
+
+  <p>
+  Az <b>Újra</b> és a <b>Törlés</b> gomb ennél a listánál is működik.
+  </p>
+
+  <h2><a name="acceptedFlights">Elfogadott járatok</a></h2>
+
+  <p>
+  Az  <b>Eszközök/Elfogadott járatok...</b> menüpont kiválasztásával
+  kilistázhatjuk a már lerepült és elfogadott járatokat:
+  </p>
+
+  <div align="center">
+    <img src="acceptedFlights.png" alt="Elfogadott járatok"/>
+  </div>
+
+  <p>
+  Ha kiválasztunk egy járatot és rákattintunk a <b>Megtekintés</b> gombra,
+  megjelenik a <a href="#pirepViewer">PIREP megtekintő</a> ablak a kiválasztott
+  járat adataival és a korábban már említett <i>Üzenet</i> fül.
+  </p>
+
   <h2><a name="loadingPIREPs">PIREP-ek betöltése</a></h2>
 
@@ -933,7 +1071,7 @@
   </p>
 
-  <div align="center">
+  <a name="pirepViewer"><div align="center">
     <img src="pirepViewer.png" alt="PIREP megtekintő ablak"/>
-  </div>
+  </div></a>
 
   <h2><a name="checklistEditor">Ellenőrzőlisták szerkeszése</a></h2>